.calendar__modal {
    display: block;
    opacity: 0;
    visibility: hidden;
    border-radius: 8px;
    overflow: hidden;
    transition: 0.3s;

    .calendar__body {
        display: flex;
        flex-direction: column;
        grid-gap: 16px;
    }

    .period__inputs {
        display: flex;
        grid-gap: 16px;
    }
    
    .calendar__table {
        border: 1px solid $main-4;
        border-radius: 8px;

        .current-date {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 8px;
            border-bottom: 1px solid $main-4;

            .data__title {
                @include f12w600upM8;
            }
        }

        .calendar {
            padding: 8px;

            .weeks {
                display: grid;
                grid-template-columns: repeat(auto-fill,minmax(90px,1fr));
                text-align: center;
                list-style: none;
                
                @media (max-width: 1024px) {
                    grid-template-columns: repeat(auto-fill,minmax(40px,1fr));
                }

                .week {
                    @include f10w400M8;
                    padding: 14px 0;
                }
            }

            .days {
                display: grid;
                grid-template-columns: repeat(auto-fill,minmax(90px,1fr));
                list-style: none;
                text-align: center;
                grid-gap: 4px;

                @media (max-width: 1024px) {
                    grid-template-columns: repeat(auto-fill,minmax(40px,1fr));
                }

                .day {
                    @include calendarDay;
                }

                .today {
                    color: $main-0;
                    background-color: $main-8;
                }

                .inactive {
                    background-color: $main-0;
                    color: $main-5;
                }
            }
        }
    }

    .calendar__buttons {
        display: flex;
        grid-gap: 16px;

        .calendar__button {
            width: 100%;
            padding: 16px 0;
        }
    }
}

.calendar__modal.active {
    opacity: 1;
    visibility: visible;
}
